Bug 183031 - gnome-power-manager crash
gnome-power-manager crash
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-25 11:58 EST by Jonathan Blandford
Modified: 2013-04-02 00:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 20:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2006-02-25 11:58:43 EST
I had two nm-applet running, and did "killall nm-applet"; this crashed
gnome-power-manager in the dbus glib bindings, the crash where one of the two
proxy names was null in the string comparison function, John probably knows what
I'm talking about. I think this may be fixed in newer dbus and a dbus bug. I
have dbus 0.60.

Also, gnome-power-manager doesn't show up in bug-buddy so I'm filing this
manually ;-)
Comment 1 Richard Hughes 2006-02-25 15:11:42 EST
What version g-p-m you got installed? I can't reproduce your problem here:

[battery_status_changed_primary] gpm-manager.c:1141 (20:16:17):  Laptop battery
is not discharging
[battery_kind_cache_debug_print] gpm-power.c:350 (20:16:17):     Device : Laptop
battery
[battery_kind_cache_debug_print] gpm-power.c:352 (20:16:17):     number     1  
design     47520
[battery_kind_cache_debug_print] gpm-power.c:354 (20:16:17):     present    1  
last_full  42098
[battery_kind_cache_debug_print] gpm-power.c:356 (20:16:17):     percent    53 
current    22647
[battery_kind_cache_debug_print] gpm-power.c:358 (20:16:17):     charge     1  
rate       21755
[battery_kind_cache_debug_print] gpm-power.c:360 (20:16:17):     discharge  0  
remaining  3218
[hal_name_owner_changed] gpm-hal-monitor.c:701 (20:16:31):       ignoring name
change: org.freedesktop.NetworkManagerInfo
[hal_name_owner_changed] gpm-hal-monitor.c:701 (20:16:31):       ignoring name
change: org.freedesktop.NetworkManagerInfo
[hal_name_owner_changed] gpm-hal-monitor.c:701 (20:16:31):       ignoring name
change: :1.45
[hal_name_owner_changed] gpm-hal-monitor.c:701 (20:16:31):       ignoring name
change: :1.45
[hal_name_owner_changed] gpm-hal-monitor.c:701 (20:16:31):       ignoring name
change: :1.46
[hal_name_owner_changed] gpm-hal-monitor.c:701 (20:16:31):       ignoring name
change: :1.46
[hal_name_owner_changed] gpm-hal-monitor.c:701 (20:16:31):       ignoring name
change: org.freedesktop.NetworkManagerInfo
[hal_name_owner_changed] gpm-hal-monitor.c:701 (20:16:31):       ignoring name
change: org.freedesktop.NetworkManagerInfo
[watch_device_properties_modified] gpm-hal-monitor.c:256 (20:16:34):    
property modified '/org/freedesktop/Hal/devices/acpi_BAT1'

Richard.
Comment 2 Havoc Pennington 2006-02-25 18:32:02 EST
gnome-power-manager-2.13.91-1

It's conceivably a race or something, so hard to reproduce. I'm pretty sure it's
a dbus bug though, so you may not want to stress too much...
Comment 3 John (J5) Palmieri 2006-02-27 11:06:39 EST
Havoc I have dbus-0.61 in dist-fc5-HEAD.  Can you test with that?  Thanks.
Comment 4 Havoc Pennington 2006-02-27 12:34:05 EST
Next time I reboot anyhow ;-)

I found a good way to reproduce it:

$ nm-applet & nm-applet & nm-applet &
$ killall nm-applet

makes g-p-m go boom reliably for me
Comment 5 Richard Hughes 2006-02-28 19:33:38 EST
I can't reproduce this on my FC4(ish) system (dbus 0.50).
Comment 6 Matthew Miller 2007-04-06 13:18:00 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 8 petrosyan 2008-03-10 20:32:09 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.